酷!學園

技術討論區 => LDAP 討論區 => 主題作者是: jeremy168 於 2012-04-09 23:34

主題: 出現slapadd: database doesn't support necessary operations錯務?
作者: jeremy1682012-04-09 23:34
大家好

我用fc14試裝openldap方法是yum 方式安裝套件
參照此網站http://jamyy.dyndns.org/blog/2012/01/3506.html

但做到slapadd -n 2 -l /root/root.ldif時電腦出現
slapadd: database doesn't support necessary operations.
在下
slaptest -f /etc/openldap/slapd.conf -F /etc/openldap/slapd.d
出現

bdb_db_open: database "dc=pi,dc=idv,dc=tw": db_open(/var/lib/ldap/id2entry.bdb) failed: No such file or directory (2).
backend_startup_one (type=bdb, suffix="dc=pi,dc=idv,dc=tw"): bi_db_open failed! (2)
slap_startup failed (test would succeed using the -u switch)

不知到少什麼套件呢?找好久都找不到,google有收尋到跟slapd.c這檔有關??
我在fc16上裝不會有這樣的錯務~
我安裝的套件如下
openldap-clients-2.4.23-10.fc14.i686
openldap-servers-sql-2.4.23-10.fc14.i686
openldap-devel-2.4.23-10.fc14.i686
openldap-2.4.23-10.fc14.i686
openldap-servers-2.4.23-10.fc14.i686
謝謝大家

後來把slapadd -n 2 -l /root/root.ldif中的-n 2拿調就沒錯務,但-n是幹嘛的呢???
主題: Re: 出現slapadd: database doesn't support necessary operations錯務?
作者: 日京三子2012-04-19 19:16
把你的設定檔PO上來讓大家看一下.....